USE [igops]
GO

DROP VIEW IF EXISTS suser_account_permission_v
GO

CREATE VIEW suser_account_permission_v AS
    select
        case when sap.id is not null then
            convert(nvarchar(30),sau.id) + '.' + convert(nvarchar(30),sap.id)
        else
            convert(nvarchar(30),sau.id) + '.null'
        end as id,
        su.id as suser,
        su.collected_entity as collected_entity,
        sa.id as saccount,
        sp.id as spermission,
        sau.sversion as sversion,
        sau.id as saccount_user,
        sap.id as saccount_permission,
        sap.value as spermission_value,
        case when (sa.virtual is null or sa.virtual = 0) then
            sau.id
        else
            null
        end as real_saccount_user
    from saccount_user sau
    join saccount sa on sa.collected_entity = sau.saccount and sa.effective = 1 and sa.deleted = 0
    join suser su on su.collected_entity = sau.suser and su.effective = 1 and su.deleted = 0
    left join saccount_permission sap on sap.saccount = sau.saccount and sap.effective = 1
    left join spermission sp on sp.collected_entity = sap.spermission and sp.effective = 1 and sp.deleted = 0
    where
    	sau.effective = 1
GO

GRANT SELECT ON suser_account_permission_v TO ig_report_role
GO